/* ----- interaction ----- */
tr.interaction {
  background: #efffcc;
}

/* ----- user agent stylesheet ----- */
form {
  margin-block-end: 0;
}

#tblHead tr th {
  border-top: 0px;
}
#tblHead tr th span {
  color: #f00;
}

/* remove background image of switch button ui */
.custom-switch.custom-switch-label-io
  .custom-switch-input
  + .custom-switch-btn {
  background-image: none !important;
}
th.th-custom-width {
  width: 25%;
}
label.custom-switch-btn.disabled {
  cursor: default !important;
}

.dialog-full .modal-dialog {
  width: 100%;
  padding: 10px 15px 15px 100px;
  margin: 0;
}

.dialog-1650 {
  width: 1650px;
}

.dialog-full .modal-dialog .modal-content {
  border-radius: 3px !important;
  box-shadow: none;
}

body.minimize-menu .dialog-full.modal.in {
  left: 60px;
}
/* max width for select element */
select.form-control {
  width: 100px;
}

.btn.btn-primary.show-custom-col-modal{
  width: 100px;
  font-size: small;
}
p.show_content_detail {
  display: -webkit-box;
  text-overflow: ellipsis;
  overflow: hidden;
  -webkit-line-clamp: 4;
  -webkit-box-orient: vertical;
}

/*UILOADING*/
#loading {
  display: block;
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100000000;
  width: 100%;
  height: 100%;
  background-color: rgba(192, 192, 192, 0.5);
  background-image: url("http://i.stack.imgur.com/MnyxU.gif");
  background-repeat: no-repeat;
  background-position: center;
}
.block{
  display: block;
}
.center{
  text-align: center;
}
.show-timeline{
  cursor: pointer;
}
.timeline-item{
  background: aliceblue
}

.sweet-overlay {
  /*z-index: 100000000000 !important;*/
  z-index: 999999999 !important;
}

.swal2-container {
  overflow-y: scroll;
  max-height: 50%;
}
.swal2-header{
  display: flex;
  align-items: flex-start;
}
.swal2-title{
  align-self: center;
} 
#body_preview td,#preview_result th{
  width: 200px;
}
.select-disabled {
  border-radius: 4px;
  padding: 6px 12px;
  background: #eaecef;
  border: solid 1px rgb(206, 212, 218);
  min-height: 38px;
}
div.bootstrap-datetimepicker-widget.dropdown-menu{
  width: 19rem;
  inset: unset !important;
}

.td-width_100 {
  max-width: 100px;
}
.td-minwidth_100 {
  min-width: 100px;
}

.td-minwidth_350 {
  min-width: 350px;
}
.pr-2px{
  padding-right: 2px!important;
  padding-left: 2px!important;
  vertical-align: middle!important;

}